Subject: Re: [PATCH v2 04/13] Teach rebase interactive the mark command

From: Junio C Hamano <[email-masked]>
Date: Sat, 03 May 2008 10:09:26 -0700

Johannes Schindelin <[email-masked]> writes:

>> And I try to stress that while we are still in the drawing board phase, 
>> because it would be painful to change once we start with a language 
>> without enough expressiveness.
>
> Unfortunately, we are no longer in the drawing board phase, because the 
> offending code is already in 'next'.

What does that mean?  "Now we are committed to it, so I will stop
complaining and work within the overall design in a more constructive
way"?

We have precedence of even reverting the whole series from 'next'. When
there is a better design available, I think it is perfectly fine to
improve what is in 'next' in a way that is not backward compatible with
stuff that has not hit 'master'.  That is what 'next' is for.